commit:     5d3bb19e1ec072ad0951867f7697166d6cdd9fb5
Author:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 17 19:17:51 2016 +0000
Commit:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Sun Apr 17 19:17:51 2016 +0000
URL:        https://gitweb.gentoo.org/dev/dev-zero.git/commit/?id=5d3bb19e

sci-misc/scorep: initial commit, ebuild written by me

 sci-misc/scorep/Manifest            |  1 +
 sci-misc/scorep/scorep-1.4.2.ebuild | 63 +++++++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/sci-misc/scorep/Manifest b/sci-misc/scorep/Manifest
new file mode 100644
index 0000000..35c8be4
--- /dev/null
+++ b/sci-misc/scorep/Manifest
@@ -0,0 +1 @@
+DIST scorep-1.4.2.tar.gz 19567836 SHA256 
d7f3fcca2efeb2f5d5b5f183b3b2c4775e66cbb3400ea2da841dd0428713ebac SHA512 
5cfce14c26335f97590510c407788c4e42d69d0d0d7bb09f645c6f7151480d797007e638c44966e4b631eec076e1bd56c35143ec3b611d60b3ca2dbc814d3761
 WHIRLPOOL 
31c3e0e27174f06f9866e538e297a3046970f1ce05bd19c28aab51489b6d6506da5ac9de9aff7213efdaf7e54578ae246970bfd4e836a332b817023fd9a95797

diff --git a/sci-misc/scorep/scorep-1.4.2.ebuild 
b/sci-misc/scorep/scorep-1.4.2.ebuild
new file mode 100644
index 0000000..8db9f40
--- /dev/null
+++ b/sci-misc/scorep/scorep-1.4.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils
+
+DESCRIPTION="Score-P Instrumentation and Run-Time Measurement"
+HOMEPAGE="http://www.vi-hps.org/projects/score-p/";
+SRC_URI="http://www.vi-hps.org/upload/packages/${PN}/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+bfd cuda debug doc +gcc-plugin mpi opencl +openmp pmi static-libs"
+
+DEPEND="=sci-misc/otf2-1.5*
+       =sci-misc/cube-4.3*
+       ~sci-misc/opari2-1.1.4
+       dev-libs/papi
+       bfd? ( sys-libs/binutils-libs:= )
+       cuda? ( dev-util/nvidia-cuda-sdk )
+       mpi? ( virtual/mpi )
+       opencl? ( virtual/opencl )
+       pmi? ( sys-cluster/slurm )"
+RDEPEND="${DEPEND}"
+
+# TODO:
+# - papi seems optional, but upstream does not support to disable it explicitly
+# - analyze/expose different CUDA support flags: CUDA vs CUDA-Runtime (CUDART) 
vs CUDA Profiling Tools Interface (CUPTI)
+# - RCA is only on Cray
+# - PDT needs packaging, see 
https://www.cs.uoregon.edu/research/tau/pdt_releases/,
+#   part of TAU: https://www.cs.uoregon.edu/research/tau/downloads.php
+
+src_configure() {
+       econf \
+               $(use_with bfd libbfd) \
+               $(use_enable cuda) \
+               $(use_with cuda libcuda) \
+               $(use_with cuda libcudart) \
+               $(use_with cuda libcupti) \
+               $(use_enable debug) \
+               $(use_enable gcc-plugin) \
+               $(use_with mpi) \
+               $(use_with opencl libOpenCL) \
+               $(use_enable openmp) \
+               --without-pdt \
+               $(use_with pmi libpmi) \
+               --without-librca \
+               --enable-shared \
+               $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+
+       prune_libtool_files
+
+       if ! use doc ; then
+               rm -r "${ED}/usr/share/doc/${PF}"/{example*,html,pdf} || die 
"removing docs failed"
+       fi
+}

Reply via email to